Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.help
Interface IHelpContentProducer

public interface IHelpContentProducer

Producer capable of generating or otherwise obtaining contents for help resources. A plug-in can contribute instance of IHelpContentProducer to `"org.eclipse.help.contentProducer"` extension point. When content for a resource is needed from a plug-in is needed, help tries to obtain content from instance of this class contributed by the plugin. If IHelpContentProvider does not return the content, help system searches doc.zip and plug-in install location for the file and reads its content.

Since:
  3.0

Method Summary
`InputStream` | `getInputStream(String pluginID, String href, Locale locale)` Obtains content of a specified help resource.

Method Detail

### getInputStream

    public InputStream getInputStream(String pluginID,
                                      String href,
                                      Locale locale)

  Obtains content of a specified help resource. If resource for a given path does not exist, a null should be returned. If topic content is static, and corresponding file exist in a plug-in directory or doc.zip file, null might be return as help system can read the file content itself.

  Parameters:
    `pluginID` - unique identifier of a plug-in containing the resource
    `href` - path of the resource in a plug-in.

    An href has a format path/to/resource or path/to/resource?parameter=value1¶meter2=value2... For example, references/myclass.html may be passed.

    `locale` - used by the client. In most cases, content in a user language should be produced.
  Returns:
    InputStream or null if specified resource is not dynamic and should be read from doc.zip or plug-in install location.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.